%global srcname cpuinfo
%global sum Getting CPU info

Name:           python-%{srcname}
Version:        0.2.3
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/workhorsy/py-cpuinfo
Source0:        https://pypi.python.org/packages/source/p/py-%{srcname}/py-%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register


%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register

%prep
%setup -q -n py-%{srcname}-%{version}
rm -rf *.egg-info

#sed -i -e '/^#!\//, 1d' cpuinfo/cpuinfo.py

#find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%py2_build
%py3_build

%install
%py3_install
cp -p %{buildroot}/%{_bindir}/cpuinfo %{buildroot}/%{_bindir}/cpuinfo-3
%py2_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%doc README.rst ChangeLog
%license LICENSE
%{_bindir}/cpuinfo
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/py_%{srcname}-%{version}-py2.*.egg-info

%files -n python3-%{srcname}
%doc README.rst ChangeLog
%license LICENSE
%{_bindir}/cpuinfo-3
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/py_%{srcname}-%{version}-py3.*.egg-info


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Apr 25 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.2.3-2
- Thanks to Petr Viktorin (rh#1330005) for correcting dependencies

* Sat Apr 23 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.2.3-1
- Update to 0.2.3 release (rh#1311530)
- Added %%license tag

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 21 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.1.8-1
- Update to 0.1.8 release (rh#1292653)

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 13 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.1.6-1
- Update to 0.1.6 release (rh#1242523)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 12 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.1.4-1
- Update to 0.1.4 release
- Resolves:rh#1190549 - cpuinfo failed to run

* Tue Feb 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.1.2-3
- Resolves:rh#1178548, follow dnf way to use py3 binary

* Fri Oct 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.2-2
- Clean the spec to follow py3 guidelines

* Wed Oct 01 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.2-1
- Update to 0.1.2 release

* Mon Sep 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-2
- fix rpmlint messages
- Added upstream LICENSE file not in tarball

* Mon Sep 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-1
- Initial packaging

